Reply
Thread Tools
preflex's Avatar
Posts: 80 | Thanked: 77 times | Joined on Apr 2010 @ Albuquerque, NM, USA
#41
Originally Posted by preflex View Post
Hi. Thanks a lot for this guide. Unfortunately, I haven't been able to get this to run.
Code:
/home/opt/msf # ruby1.8 msfconsole -L
/home/opt/msf/lib/fastlib.rb:368:in `fastlib_original_require': /home/opt/msf/lib/rex/text.rb:274: syntax error, unexpected $end, expecting kEND (SyntaxError)
...
                              ^
	from /home/opt/msf/lib/fastlib.rb:368:in `require'
	from /home/opt/msf/lib/rex.rb:44
	from /home/opt/msf/lib/fastlib.rb:368:in `fastlib_original_require'
	from /home/opt/msf/lib/fastlib.rb:368:in `require'
	from msfconsole:121
/home/opt/msf #
And when I try to update, I get
Code:
/home/opt/msf # ruby1.8 msfupdate[*][*] Attempting to update the Metasploit Framework...[*]

svn: XML parser failed in 'external/source/vncdll/winvnc'
svn: Malformed XML: not well-formed (invalid token) at line 340
svn: Working copy '.' locked
svn: run 'svn cleanup' to remove locks (type 'svn help cleanup' for details)
/home/opt/msf #
Any ideas? Thanks for the help.
I figured out that my issue was due to issues copying the files. I was missing a bunch of stuff, including external/source/vncdll/winvnc.

Anyhow, got it up and running now. Thanks!
 
Posts: 246 | Thanked: 231 times | Joined on Jun 2011
#42
Originally Posted by carbonjha View Post
added screenshots of successful meterpreter session I had yesterday with the help of WiFite and nmap. though sometimes N900 ran slowly even got stuck, some commands took a lot of time I was happy. It was a great day.
That's great I think Metasploit is working pretty well on N900 and settiing up THEADS=30 or more makes it a bit faster. I just had to wait so much for each startup and obvouslly for the first update. As for the db problem, well, since my skills with scratchbox are even worst than my englsh i'll wait for your solution.
Thanks for replay!
i'll give a try with Wifite. Thanks again.
 
Posts: 26 | Thanked: 3 times | Joined on Oct 2011
#43
will be added to the repositories?

Last edited by Orsobirra; 2012-04-26 at 02:17.
 
Posts: 246 | Thanked: 231 times | Joined on Jun 2011
#44
New version of Metasploit released (v4.4.0-dev). Now with 840 exploits. I think that's much more convenient dowload and untar it in a pc instead up to date the earliest version...
 
Posts: 529 | Thanked: 192 times | Joined on Aug 2010 @ UK
#45
If your starting your first install then yes but if not its easier to update it like this ..



Code:
cd /opt/msf/
Then all you need to do is

Code:
svn update
Thats it .

Originally Posted by saponga View Post
New version of Metasploit released (v4.4.0-dev). Now with 840 exploits. I think that's much more convenient dowload and untar it in a pc instead up to date the earliest version...
__________________
METASPLOIT INSTALL N900
Keep the forums clean
Dont forget to say thanks

Last edited by stevomanu; 2012-05-13 at 18:14.
 

The Following User Says Thank You to stevomanu For This Useful Post:
Posts: 4 | Thanked: 0 times | Joined on Jun 2012
#46
Originally Posted by stevomanu View Post
If your starting your first install then yes but if not its easier to update it like this ..



Code:
cd /opt/msf/
Then all you need to do is

Code:
svn update
Thats it .
Hey, hope you're doing fine I have metasploit working on my n900 but when I did the command the following error appear.


msf > svn update[*] exec: svn update

svn: The path '.' appears to be part of a Subversion 1.7 or greater
working copy. Please upgrade your Subversion client to use this
working copy.
msf >


Thanks in advance
 
Posts: 529 | Thanked: 192 times | Joined on Aug 2010 @ UK
#47
Maybe try and update your phone ?

Code:
apt-get update
then

Code:
apt-get upgrade
After updates have installed try it again see what happens .

Originally Posted by rijkaard View Post
Hey, hope you're doing fine I have metasploit working on my n900 but when I did the command the following error appear.


msf > svn update[*] exec: svn update

svn: The path '.' appears to be part of a Subversion 1.7 or greater
working copy. Please upgrade your Subversion client to use this
working copy.
msf >


Thanks in advance
__________________
METASPLOIT INSTALL N900
Keep the forums clean
Dont forget to say thanks
 
Posts: 4 | Thanked: 0 times | Joined on Jun 2012
#48
Originally Posted by stevomanu View Post
Maybe try and update your phone ?

Code:
apt-get update
then

Code:
apt-get upgrade
After updates have installed try it again see what happens .
Thanks stevomanu I did the following ...

Code:
 apt-get update
apt-get upgrade -y
But still the same =(

Then I did (according to hxxp://zitstif.no-ip.org/?p=581&cpage=1#comment-5188) ...

Code:
 apt-get install nmap=5.50-2 libaprutil1=1.3.9-2 libapr1=1.4.2-1 --force-yes -y
apt-get clean && apt-get autoclean
because I also noted that when I do svn there is a segmentation fault and nmap error route_dst_netlink: can’t find interface “wlan0″ =S

Now I got svn and nmap working but metasploit still show the same error ...
Any clue?
 
Posts: 21 | Thanked: 17 times | Joined on Dec 2011 @ Malaysia
#49
Originally Posted by carbonjha View Post
I couldnt connect because the actual postgresql server package is not available for maemo. The thing that drives me crazy is for both sqlite3 and MySQL database I found every package needed. But sqlite3 is no longer supported by metasploit and MySQL didnt show up with db_status. I tried my best to make MySQL work but it just didnt work. oh!! GOD!! why this happens only with me??

Now Im setting up Maemo SDK to compile postgresql. I dont know what will happen this time. Though without any database I did a lot of pentest & I was successful almost every time. with the help of Wifite it takes 30 mins to 1hr to get into a machine remotely.
I have lots in my mind yet to try like client base exploit, pivoting, antivirus & firewall service manipulation and of course database as it is needed to pentest a large network with lot of machines.

added screenshots of successful meterpreter session I had yesterday with the help of WiFite and nmap. though sometimes N900 ran slowly even got stuck, some commands took a lot of time I was happy. It was a great day.
Carbonjha, how do you solve that db_connect problem? mind sharing?

thanks
 
Posts: 10 | Thanked: 0 times | Joined on Oct 2011
#50
how can i run armitage??
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 02:07.